Name:           netactview
Version:        0.6
Release:        1%{?dist}
Summary:        Graphical network connections viewer for Linux

Group:          Applications/Internet
License:        GPLv2+
URL:            http://netactview.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gettext, intltool, perl-XML-Parser, pkgconfig
BuildRequires:  desktop-file-utils, glib-devel, libgnome-devel 
BuildRequires:  gtk+-devel, libglade2-devel, gnome-vfs2-devel
       

%description
Netactview is a graphical network connections viewer for Linux, similar in
functionality with Netstat. It includes features like process information,
host name retrieval, automatic refresh and sorting. It has a fully featured
GTK 2 graphical interface.

%prep
%setup -q
# fix desktop file.
sed -i 's|.png||' data/netactview.desktop.in


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


desktop-file-install --vendor "" \
  --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --remove-category=Application \
  $RPM_BUILD_ROOT%{_datadir}/applications/netactview.desktop

# fix the permissions.
chmod 644 ChangeLog AUTHORS README COPYING NEWS
chmod -x src/*{h,c}

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING AUTHORS NEWS ChangeLog
%{_bindir}/netactview
%dir %{_datadir}/netactview
%{_datadir}/netactview/glade/*
%{_datadir}/pixmaps/netactview.png
%{_datadir}/applications/netactview.desktop
%{_mandir}/man1/netactview.1.gz

%changelog
* Wed Dec 15 2010 leigh scott <leigh123linux@googlemail.com> - 0.6-1
- update to 0.6

* Fri Jan 08 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.5.1-1
- update to 0.5.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

*Thu Feb 19  2009 leigh scott  <leigh123linux@googlemail.com> 0.4.1-3
- add find_lang

*Sun Feb 15  2009 leigh scott  <leigh123@linux.net> 0.4.1-2
- Review changes.
- fix permissions on debug. 
- fix desktop file (remove Application).

*Sat Jan 3  2009 leigh scott  <leigh123@linux.net> 0.4.1-1
- update to 0.4.1 
- fix desktop file.
- fix permissions on ChangeLog AUTHORS README COPYING NEWS.

*Sat Sep 13  2008 leigh scott  <leigh123@linux.net> 0.3.1-1
- first build

